gtkmm: Gtk::Notebook_Helpers::Page Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# Gtk::Notebook_Helpers::Page Class Reference

Inheritance diagram for Gtk::Notebook_Helpers::Page:
[legend]
Collaboration diagram for Gtk::Notebook_Helpers::Page:
[legend]

List of all members.

## Public Member Functions
int | get_page_num () const
Widget* | get_child () const
Widget* | get_tab_label () const
void | set_tab_label (Widget& tab_label)
void | set_tab_label_text (const Glib::ustring& tab_text)
Glib::ustring | get_tab_label_text () const
Widget* | get_menu_label () const
void | set_menu_label (Widget& menu_label)
void | set_menu_label_text (const Glib::ustring& menu_text)
Glib::ustring | get_menu_label_text () const
void | query_tab_label_packing (bool& expand, bool&fill, PackType& pack_type)
void | set_tab_label_packing (bool expand, bool fill, PackType pack_type)
## Protected Member Functions
| Page ()

## Detailed Description

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc.

instead.

## Constructor & Destructor Documentation

Gtk::Notebook_Helpers::Page::Page | ( |  | ) | `[protected]`

## Member Function Documentation

Widget* Gtk::Notebook_Helpers::Page::get_child | ( |  | ) | const

Widget* Gtk::Notebook_Helpers::Page::get_menu_label | ( |  | ) | const

Glib::ustring Gtk::Notebook_Helpers::Page::get_menu_label_text | ( |  | ) | const

int Gtk::Notebook_Helpers::Page::get_page_num | ( |  | ) | const

Widget* Gtk::Notebook_Helpers::Page::get_tab_label | ( |  | ) | const

Glib::ustring Gtk::Notebook_Helpers::Page::get_tab_label_text | ( |  | ) | const

void Gtk::Notebook_Helpers::Page::query_tab_label_packing | ( | bool & | expand,
|  | bool & | fill,
|  | PackType& | pack_type
| ) |  |

Deprecated:
  Query the "tab-expand" and "tab-fill" child properties instead.

void Gtk::Notebook_Helpers::Page::set_menu_label | ( | Widget& | menu_label | ) |

void Gtk::Notebook_Helpers::Page::set_menu_label_text | ( | const Glib::ustring & | menu_text | ) |

void Gtk::Notebook_Helpers::Page::set_tab_label | ( | Widget& | tab_label | ) |

void Gtk::Notebook_Helpers::Page::set_tab_label_packing | ( | bool | expand,
|  | bool | fill,
|  | PackType | pack_type
| ) |  |

Deprecated:
  Modify the "tab-expand" and "tab-fill" child properties instead.

void Gtk::Notebook_Helpers::Page::set_tab_label_text | ( | const Glib::ustring & | tab_text | ) |

The documentation for this class was generated from the following file:

- gtkmm/notebook.h